<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { useMetaStore } from '@/stores/meta';
import { storeToRefs } from 'pinia';
import { computed, inject } from 'vue';
import { useI18n } from 'vue-i18n';

const { t } = useI18n();
const $t = t; 

const props = defineProps<{
    cls: string
}>();

let configuration = inject<any>('configuration');
const getImpress = computed(()=>{
    return configuration.basePath + 'impress';
});

const store = useMetaStore();
const { adminMail } = storeToRefs(store);

</script>
<template>
<ul :class="props.cls" class="flex flex-col gap-2">
    <li class="text-gray-500" v-if="adminMail !== null && adminMail !== undefined">{{$t("adminMenu.owner")}}: <br>
        {{ adminMail }}
    </li>
    <li>
        <a class="text-gray-500 hover:no-underline hover:text-gray-600" :href="getImpress" target="_blank" rel="noopener"> {{$t("indexPage.impress")}}</a>
    </li>
</ul>
</template>